Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Issue compiling PCSX2
#1
I do cmake ./ and then make, here's what I get:

Code:
cmake ./
-- The C compiler identification is GNU 4.8.2
-- The CXX compiler identification is GNU 4.8.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- BuildType set to Devel by default
-- Disable the stripping by default in Devel build !!!
-- Disable the building of po files by default in Devel build !!!
-- Found Freetype: /usr/lib/i386-linux-gnu/libfreetype.so (found version "2.4.9")
-- Found GTK2_GTK: /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so  
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/i386-linux-gnu/libX11.so
-- Found ALSA: /usr/lib/i386-linux-gnu/libasound.so (found version "1.0.27.2")
-- Found BZip2: /usr/lib/i386-linux-gnu/libbz2.so (found version "1.0.6")
-- Looking for BZ2_bzCompressInit in /usr/lib/i386-linux-gnu/libbz2.so
-- Looking for BZ2_bzCompressInit in /usr/lib/i386-linux-gnu/libbz2.so - found
-- Found Gettext: /usr/bin/msgmerge (found version "0.18.3")
-- Found JPEG: /usr/lib/i386-linux-gnu/libjpeg.so  
-- Found OpenGL: /usr/lib/i386-linux-gnu/libGL.so  
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - found
-- Found Threads: TRUE  
-- Found SDL: /usr/lib/i386-linux-gnu/libSDL.so (found version "1.2.15")
-- Found Subversion: /usr/bin/svn (found version "1.7.14")
-- Found wxWidgets: TRUE  
-- Found ZLIB: /usr/lib/i386-linux-gnu/libz.so (found version "1.2.8")
-- Found Cg: /usr/lib/i386-linux-gnu/libCg.so;/usr/lib/i386-linux-gnu/libCgGL.so  
-- Found GLEW: /usr/lib/i386-linux-gnu/libGLEW.so  
-- Found Libc: /usr/lib/i386-linux-gnu/librt.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libm.so  
-- Found PortAudio: /usr/lib/libportaudio.so  
-- Found SoundTouch: /usr/lib/i386-linux-gnu/libSoundTouch.so  
-- Found SparseHash: /usr/include  
-- Could NOT find SparseHash_new (missing:  SPARSEHASE_NEW_INCLUDE_DIR)
-- Don't build zerospu2. It is super-seeded by spu2x
-- Configuring done
CMake Warning (dev) in plugins/CDVDiso/src/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_C_FLAGS has been modified.  CMake will ignore
  the POSITION_INDEPENDENT_CODE target property for shared libraries and will
  use the CMAKE_SHARED_LIBRARY_C_FLAGS variable instead.  This may cause
  errors if the original content of CMAKE_SHARED_LIBRARY_C_FLAGS was removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/CDVDiso/src/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/CDVDlinuz/Src/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_C_FLAGS has been modified.  CMake will ignore
  the POSITION_INDEPENDENT_CODE target property for shared libraries and will
  use the CMAKE_SHARED_LIBRARY_C_FLAGS variable instead.  This may cause
  errors if the original content of CMAKE_SHARED_LIBRARY_C_FLAGS was removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/CDVDnull/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/dev9null/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/FWnull/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/GSdx/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/GSnull/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/onepad/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/PadNull/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/SPU2null/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/spu2-x/src/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/USBnull/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/zzogl-pg/opengl/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) in plugins/zzogl-pg-cg/opengl/CMakeLists.txt:
  Variable CMAKE_SHARED_LIBRARY_CXX_FLAGS has been modified.  CMake will
  ignore the POSITION_INDEPENDENT_CODE target property for shared libraries
  and will use the CMAKE_SHARED_LIBRARY_CXX_FLAGS variable instead.  This may
  cause errors if the original content of CMAKE_SHARED_LIBRARY_CXX_FLAGS was
  removed.

  Policy CMP0018 is not set: Ignore CMAKE_SHARED_LIBRARY_<Lang>_FLAGS
  variable.  Run "cmake --help-policy CMP0018" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Generating done
-- Build files have been written to: pcsx2-1.0.0-r5350-sources

$ make
Scanning dependencies of target translations_pcsx2_Iconized
[  1%] Generating hu_HU__pcsx2_Iconized.gmo
[  1%] Generating pt_BR__pcsx2_Iconized.gmo
[  1%] Generating it_IT__pcsx2_Iconized.gmo
[  1%] Generating es_ES__pcsx2_Iconized.gmo
[  1%] Generating tr_TR__pcsx2_Iconized.gmo
[  1%] Generating de_DE__pcsx2_Iconized.gmo
[  1%] Generating ru_RU__pcsx2_Iconized.gmo
[  2%] Generating id_ID__pcsx2_Iconized.gmo
[  2%] Generating ja_JP__pcsx2_Iconized.gmo
[  2%] Generating sv_SE__pcsx2_Iconized.gmo
[  2%] Generating pl_PL__pcsx2_Iconized.gmo
[  2%] Generating fi_FI__pcsx2_Iconized.gmo
[  2%] Generating zh_TW__pcsx2_Iconized.gmo
[  3%] Generating cs_CZ__pcsx2_Iconized.gmo
[  3%] Generating zh_CN__pcsx2_Iconized.gmo
[  3%] Generating th_TH__pcsx2_Iconized.gmo
[  3%] Generating fr_FR__pcsx2_Iconized.gmo
[  3%] Generating ko_KR__pcsx2_Iconized.gmo
[  3%] Generating ms_MY__pcsx2_Iconized.gmo
[  3%] Built target translations_pcsx2_Iconized
Scanning dependencies of target translations_pcsx2_Main
[  4%] Generating hu_HU__pcsx2_Main.gmo
[  4%] Generating pt_BR__pcsx2_Main.gmo
[  4%] Generating it_IT__pcsx2_Main.gmo
[  4%] Generating es_ES__pcsx2_Main.gmo
[  4%] Generating tr_TR__pcsx2_Main.gmo
[  4%] Generating de_DE__pcsx2_Main.gmo
[  5%] Generating ru_RU__pcsx2_Main.gmo
[  5%] Generating id_ID__pcsx2_Main.gmo
[  5%] Generating ja_JP__pcsx2_Main.gmo
[  5%] Generating sv_SE__pcsx2_Main.gmo
[  5%] Generating pl_PL__pcsx2_Main.gmo
[  5%] Generating fi_FI__pcsx2_Main.gmo
[  6%] Generating zh_TW__pcsx2_Main.gmo
[  6%] Generating cs_CZ__pcsx2_Main.gmo
[  6%] Generating zh_CN__pcsx2_Main.gmo
[  6%] Generating th_TH__pcsx2_Main.gmo
[  6%] Generating fr_FR__pcsx2_Main.gmo
[  6%] Generating ko_KR__pcsx2_Main.gmo
[  6%] Generating ms_MY__pcsx2_Main.gmo
[  6%] Built target translations_pcsx2_Main
Scanning dependencies of target Utilities
[  6%] Building CXX object common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o
In file included from pcsx2-1.0.0-r5350-sources/common/include/Utilities/Console.h:18:0,
                 from pcsx2-1.0.0-r5350-sources/common/include/Utilities/TraceLog.h:18,
                 from pcsx2-1.0.0-r5350-sources/common/src/Utilities/PrecompiledHeader.h:25,
                 from pcsx2-1.0.0-r5350-sources/common/src/Utilities/AlignedMalloc.cpp:19:
pcsx2-1.0.0-r5350-sources/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatAscii& FastFormatAscii::operator+=(const wxString&)’:
pcsx2-1.0.0-r5350-sources/common/include/Utilities/StringHelpers.h:158:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( "%ls", s.c_str() );
                           ^
pcsx2-1.0.0-r5350-sources/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatUnicode& FastFormatUnicode::operator+=(const wxString&)’:
pcsx2-1.0.0-r5350-sources/common/include/Utilities/StringHelpers.h:207:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( L"%s", s.c_str() );
                           ^
make[2]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o] Error 1
make[1]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/all] Error 2
make: *** [all] Error 2

I'm using debian testing. Any idea how to get this to compile?
Reply

Sponsored links

#2
apt-get install libwxgtk2.8-dev:i386

Don't use cmake directly but the build script: ./build.sh -release
Reply
#3
(01-18-2014, 01:50 PM)gregory Wrote: apt-get install libwxgtk2.8-dev:i386

Don't use cmake directly but the build script: ./build.sh -release

Package already installed and at newest version. Did I mention I'm on a 32bit OS anyway?

Using build.sh does not seem to help.

Code:
./build.sh --release
Building pcsx2 with  -DCMAKE_BUILD_TYPE=Release
-- Enable the building of po files by default in Release build !!!
-- Could NOT find Freetype (missing:  FREETYPE_INCLUDE_DIRS)
-- Could NOT find SparseHash_new (missing:  SPARSEHASE_NEW_INCLUDE_DIR)
-- Don't build zerospu2. It is super-seeded by spu2x
-- Configuring done
-- Generating done
-- Build files have been written to: pcsx2/build
[  0%] [  0%] Generating hu_HU__pcsx2_Main.gmo
Scanning dependencies of target x86emitter
Generating hu_HU__pcsx2_Iconized.gmo
[  1%] Building CXX object common/src/x86emitter/CMakeFiles/x86emitter.dir/3dnow.cpp.o
Scanning dependencies of target Utilities
[  2%] Building CXX object common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o
[  2%] [  3%] Generating pt_BR__pcsx2_Iconized.gmo
Generating pt_BR__pcsx2_Main.gmo
[  3%] Generating it_IT__pcsx2_Iconized.gmo
[  3%] Generating it_IT__pcsx2_Main.gmo
[  3%] Generating es_ES__pcsx2_Iconized.gmo
[  3%] Generating es_ES__pcsx2_Main.gmo
[  3%] Generating tr_TR__pcsx2_Iconized.gmo
[  3%] [  4%] Generating de_DE__pcsx2_Iconized.gmo
Generating tr_TR__pcsx2_Main.gmo
[  4%] Generating ru_RU__pcsx2_Iconized.gmo
[  4%] Generating de_DE__pcsx2_Main.gmo
[  5%] Generating id_ID__pcsx2_Iconized.gmo
[  5%] Generating ja_JP__pcsx2_Iconized.gmo
[  5%] Generating ru_RU__pcsx2_Main.gmo
[  5%] Generating sv_SE__pcsx2_Iconized.gmo
[  5%] Generating id_ID__pcsx2_Main.gmo
[  5%] [  5%] Generating ja_JP__pcsx2_Main.gmo
Generating pl_PL__pcsx2_Iconized.gmo
[  5%] Generating fi_FI__pcsx2_Iconized.gmo
[  5%] Generating sv_SE__pcsx2_Main.gmo
[  5%] Generating zh_TW__pcsx2_Iconized.gmo
[  6%] [  7%] Generating pl_PL__pcsx2_Main.gmo
Generating cs_CZ__pcsx2_Iconized.gmo
[  7%] Generating zh_CN__pcsx2_Iconized.gmo
[  7%] Generating fi_FI__pcsx2_Main.gmo
[  7%] Generating th_TH__pcsx2_Iconized.gmo
In file included from pcsx2/common/include/Utilities/Console.h:18:0,
                 from pcsx2/common/src/x86emitter/PrecompiledHeader.h:30,
                 from pcsx2/common/src/x86emitter/3dnow.cpp:16:
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatAscii& FastFormatAscii::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:158:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( "%ls", s.c_str() );
                           ^
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatUnicode& FastFormatUnicode::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:207:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( L"%s", s.c_str() );
                           ^
In file included from pcsx2/common/include/Utilities/Console.h:18:0,
                 from pcsx2/common/include/Utilities/TraceLog.h:18,
                 from pcsx2/common/src/Utilities/PrecompiledHeader.h:25,
                 from pcsx2/common/src/Utilities/AlignedMalloc.cpp:19:
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatAscii& FastFormatAscii::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:158:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( "%ls", s.c_str() );
                           ^
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatUnicode& FastFormatUnicode::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:207:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( L"%s", s.c_str() );
                           ^
In file included from pcsx2/common/include/x86emitter/x86types.h:38:0,
                 from pcsx2/common/include/x86emitter/internal.h:18,
                 from pcsx2/common/include/x86emitter/legacy_internal.h:18,
                 from pcsx2/common/src/x86emitter/3dnow.cpp:17:
pcsx2/common/include/Utilities/Threading.h: In member function ‘bool ConsoleLogSource_Threading::Write(const wxString&, const wxChar*)’:
pcsx2/common/include/Utilities/Threading.h:45:76: error: call of overloaded ‘Write(wxString)’ is ambiguous
   return _parent::Write( wxsFormat(L"(thread:%s) ", thrname.c_str()) + msg );
                                                                            ^
pcsx2/common/include/Utilities/Threading.h:45:76: note: candidates are:
In file included from pcsx2/common/include/Utilities/Threading.h:24:0,
                 from pcsx2/common/include/x86emitter/x86types.h:38,
                 from pcsx2/common/include/x86emitter/internal.h:18,
                 from pcsx2/common/include/x86emitter/legacy_internal.h:18,
                 from pcsx2/common/src/x86emitter/3dnow.cpp:17:
pcsx2/common/include/Utilities/TraceLog.h:176:7: note: bool ConsoleLogSource::Write(const char*, ...) const
  bool Write( const char* fmt, ... ) const
       ^
pcsx2/common/include/Utilities/TraceLog.h:186:7: note: bool ConsoleLogSource::Write(const wxChar*, ...) const
  bool Write( const wxChar* fmt, ... ) const
       ^
make[2]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o] Error 1
make[1]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  7%] [  7%] Generating fr_FR__pcsx2_Iconized.gmo
Generating hr_HR__pcsx2_Iconized.gmo
[  7%] Generating ar__pcsx2_Main.gmo
make[2]: *** [common/src/x86emitter/CMakeFiles/x86emitter.dir/3dnow.cpp.o] Error 1
make[1]: *** [common/src/x86emitter/CMakeFiles/x86emitter.dir/all] Error 2
[  7%] Generating zh_TW__pcsx2_Main.gmo
[  7%] [  8%] Generating ko_KR__pcsx2_Iconized.gmo
Generating ms_MY__pcsx2_Iconized.gmo
[  8%] [  8%] Generating nb_NO__pcsx2_Main.gmo
Generating cs_CZ__pcsx2_Main.gmo
[  9%] [  9%] Built target translations_pcsx2_Iconized
Generating zh_CN__pcsx2_Main.gmo
[  9%] Generating th_TH__pcsx2_Main.gmo
[  9%] [  9%] Generating fr_FR__pcsx2_Main.gmo
Generating hr_HR__pcsx2_Main.gmo
[  9%] Generating ko_KR__pcsx2_Main.gmo
[  9%] Generating ms_MY__pcsx2_Main.gmo
[  9%] Built target translations_pcsx2_Main
make: *** [all] Error 2
[  4%] Built target translations_pcsx2_Iconized
[  7%] Built target translations_pcsx2_Main
[  8%] Building CXX object common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o
In file included from pcsx2/common/include/Utilities/Console.h:18:0,
                 from pcsx2/common/include/Utilities/TraceLog.h:18,
                 from pcsx2/common/src/Utilities/PrecompiledHeader.h:25,
                 from pcsx2/common/src/Utilities/AlignedMalloc.cpp:19:
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatAscii& FastFormatAscii::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:158:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( "%ls", s.c_str() );
                           ^
pcsx2/common/include/Utilities/StringHelpers.h: In member function ‘FastFormatUnicode& FastFormatUnicode::operator+=(const wxString&)’:
pcsx2/common/include/Utilities/StringHelpers.h:207:27: error: cannot pass objects of non-trivially-copyable type ‘class wxCStrData’ through ‘...’
   Write( L"%s", s.c_str() );
                           ^
make[2]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/AlignedMalloc.cpp.o] Error 1
make[1]: *** [common/src/Utilities/CMakeFiles/Utilities.dir/all] Error 2
make: *** [all] Error 2
Reply
#4
What is your compiler?

That strange it work on debian sid for years.
Reply
#5
(01-24-2014, 12:49 AM)gregory Wrote: What is your compiler?

That strange it work on debian sid for years.

My compiler is GCC...
Code:
gcc --version
gcc-4.8.real (Debian 4.8.2-12) 4.8.2
...
g++ --version
g++-4.8.real (Debian 4.8.2-12) 4.8.2
Reply
#6
You surely miss a dependency somewhere (aka dev package). It seem related to wx 2.8, is wx3.0 installed too?
Reply
#7
Yeah, that one is installed!

I'd do apt-get build-dep, but pcsx2 isn't an official debian package yet Sad
(I triple checked, looks like someone keeps marking it "intent to package" and then forgets about it)

I suppose I'll go over the list of dependencies manually again.
Reply
#8
Here my wx library. You don't have any external pacakge installed? IIRC, it is very similar as an ascii/unicode issue on wx.

What give you this command:
# wx-config --unicode=yes --libs --cflags
Quote:-I/usr/lib/i386-linux-gnu/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread
-L/usr/lib/i386-linux-gnu -pthread -Wl,-z,relro -L/usr/lib/i386-linux-gnu -lwx_gtk2u_richtext-2.8 -lwx_gtk2u_aui-2.8 -lwx_gtk2u_xrc-2.8 -lwx_gtk2u_qa-2.8 -lwx_gtk2u_html-2.8 -lwx_gtk2u_adv-2.8 -lwx_gtk2u_core-2.8 -lwx_baseu_xml-2.8 -lwx_baseu_net-2.8 -lwx_baseu-2.8

Here my library
# dpkg -l |grep -i wx
Quote:ii libwxbase2.8-0:amd64 2.8.12.1+dfsg-2 amd64 wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii libwxbase2.8-0:i386 2.8.12.1+dfsg-2 i386 wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii libwxbase2.8-dbg 2.8.12.1+dfsg-2 i386 wxBase library (debug) - non-GUI support classes of wxWidgets toolkit
ii libwxbase2.8-dev 2.8.12.1+dfsg-2 i386 wxBase library (development) - non-GUI support classes of wxWidgets toolkit
ii libwxbase3.0-0:i386 3.0.0-2 i386 wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii libwxgtk2.8-0:amd64 2.8.12.1+dfsg-2 amd64 wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii libwxgtk2.8-0:i386 2.8.12.1+dfsg-2 i386 wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii libwxgtk2.8-dbg 2.8.12.1+dfsg-2 i386 wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
ii libwxgtk2.8-dev 2.8.12.1+dfsg-2 i386 wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
ii libwxsmithlib0 12.11-3 amd64 wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
ii python-wxgtk2.8 2.8.12.1+dfsg-2 amd64 wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
ii python-wxversion 2.8.12.1+dfsg-2 all wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
ii wx-common 3.0.0-2 i386 wxWidgets Cross-platform C++ GUI toolkit (common support files)
ii wx2.8-doc 2.8.12.1+dfsg-2 all wxWidgets Cross-platform C++ GUI toolkit (documentation)
ii wx2.8-headers 2.8.12.1+dfsg-2 i386 wxWidgets Cross-platform C++ GUI toolkit (header files)
ii wx2.8-i18n 2.8.12.1+dfsg-2 all wxWidgets Cross-platform C++ GUI toolkit (i18n support)
Reply
#9
(01-25-2014, 12:19 PM)gregory Wrote: Here my wx library. You don't have any external pacakge installed? IIRC, it is very similar as an ascii/unicode issue on wx.


Code:
wx-config --unicode=yes --libs --cflags
-I/usr/lib/i386-linux-gnu/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread
-L/usr/lib/i386-linux-gnu -pthread   -lwx_gtk2u_xrc-3.0 -lwx_gtk2u_html-3.0 -lwx_gtk2u_qa-3.0 -lwx_gtk2u_adv-3.0 -lwx_gtk2u_core-3.0 -lwx_baseu_xml-3.0 -lwx_baseu_net-3.0 -lwx_baseu-3.0

Code:
dpkg -l |grep -i wx
ii  codeblocks-libwxcontrib0                                    13.12svn9574-1                      i386         Code::Blocks shared libraries for wxContribItems
ii  libwxbase2.8-0:i386                                         2.8.12.1+dfsg-1                     i386         wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii  libwxbase2.8-dev                                            2.8.12.1+dfsg-1                     i386         wxBase library (development) - non-GUI support classes of wxWidgets toolkit
ii  libwxbase3.0-0:i386                                         3.0.0-2                             i386         wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
ii  libwxbase3.0-dev                                            3.0.0-2                             i386         wxBase library (development) - non-GUI support classes of wxWidgets toolkit
ii  libwxgtk2.8-0:i386                                          2.8.12.1+dfsg-1                     i386         wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii  libwxgtk2.8-dev                                             2.8.12.1+dfsg-1                     i386         wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
ii  libwxgtk3.0-0:i386                                          3.0.0-2                             i386         wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
ii  libwxgtk3.0-dev                                             3.0.0-2                             i386         wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
ii  libwxsmithlib0                                              13.12svn9574-1                      i386         wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
ii  libwxsmithlib0-dev                                          13.12svn9574-1                      i386         wxSmith development metapackage
ii  wx-common                                                   3.0.0-2                             i386         wxWidgets Cross-platform C++ GUI toolkit (common support files)
ii  wx2.8-headers                                               2.8.12.1+dfsg-1                     i386         wxWidgets Cross-platform C++ GUI toolkit (header files)
ii  wx3.0-headers                                               3.0.0-2                             i386         wxWidgets Cross-platform C++ GUI toolkit (header files)
ii  wxsmith-dev                                                 13.12svn9574-1                      i386         wxSmith development files (libraries)

I went over the required packages listed on the googlecode wiki. I seem to have all of them.
Reply
#10
Hum, I think there is a conflict between wx 2.8 and wx 3.0.
your include
Quote:/usr/lib/i386-linux-gnu/wx/include/gtk2-unicode-3.0
Mine
Quote:/usr/lib/i386-linux-gnu/wx/include/gtk2-unicode-release-2.

Try this command and select wx 2.8:
update-alternatives --config wx-config
Reply




Users browsing this thread: 1 Guest(s)